- Home
- Cyrus IMAP
- Download
- Contribute

# Cyrus SASL

# sasl_getpath_t - The SASL callback to indicate location of the mechanism drivers

## Synopsis

    #include <sasl/sasl.h>

    int sasl_getpath_t(void *context,
                      char ** path);

## Description

int sasl_getpath_t(void *context, char **path);

  sasl_getpath_t() is used if the application wishes to use a different location for the SASL mechanism drivers (the shared library files). If this callback is not used SASL will either use the location in the environment variable SASL_PATH or /usr/lib/sasl2 by default.

## Return Value

SASL callback functions should return SASL return codes. See sasl.h for a complete list. `SASL_OK` indicates success.

Other return codes indicate errors and should be handled.

## See Also

RFC 4422,:saslman:sasl(3), sasl_callbacks(3)